
Foreman - Bug #14261

User API should return correct admin status

03/18/2016 06:06 AM - Ranjan Kumar

Status: Closed   

Priority: Normal   

Assignee: Ranjan Kumar   

Category: API   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1318918 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3345

  

Description

Even after assigning admin right using user groups, api return incorrect admin status.

Related issues:

Related to Hammer CLI - Bug #14606: Hammer shows incorrect admin status when ... Closed 04/13/2016

Associated revisions

Revision 1cf79b15 - 04/11/2016 10:15 AM - Ranjan Kumar

Fixes #14261 - User API should return correct admin status

History

#1 - 03/18/2016 06:08 AM - Dominic Cleal

The "admin" flag on a user is different to the admin flag inherited from a user group, though another attribute could be added to the API response

equivalent to admin?.

#2 - 03/18/2016 07:11 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3345 added

#3 - 04/11/2016 11:01 AM - Ranjan Kumar

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1cf79b15f0a6af381fa1d9f1b6b9306bbb611fd0.

#4 - 04/12/2016 03:16 AM - Dominic Cleal

- Assignee set to Ranjan Kumar

- translation missing: en.field_release set to 136

#5 - 04/13/2016 09:51 AM - Dominic Cleal

- Related to Bug #14606: Hammer shows incorrect admin status when assign role using user group. added
